import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ToastController } from '@ionic/angular';
import { CurrentDeviceService, PendingCallManager } from '@iotize/ionic';
import { AbstractVariable } from '@iotize/tap/data';
import { Observable } from 'rxjs';
export declare class TapVariableDateTimePickerComponent implements OnInit {
    private changeDetectorRef;
    toastController: ToastController;
    pendingCallManager: PendingCallManager;
    pendingSubmitValue: any;
    error?: Error;
    loaded: boolean;
    set fieldError(err: Error);
    get pending(): boolean;
    format: string;
    label: string;
    formatDataWrite: Function;
    formatDataRead: Function;
    _variable?: AbstractVariable<any>;
    set variable(variable: AbstractVariable<any> | undefined);
    set inputStream(inputs: Observable<any>);
    dateTimeValue: string;
    constructor(changeDetectorRef: ChangeDetectorRef, tapService: CurrentDeviceService, toastController: ToastController);
    ngOnInit(): void;
    defaultDataFormatWrite(data: any): number;
    defaultDataFormatRead(value: any): string;
    onChange(event: any): void;
}
